/*
 * Lehrveranstaltung.cpp
 *
 *  Created on: 24.10.2018
 *      Author: Wolfgang Knauf
 */

#include "Lehrveranstaltung.h"
#include <list>
#include <iostream>

using namespace std;

Lehrveranstaltung::Lehrveranstaltung() {
	//Ohne diese Zeile gibt es eine Compilerwarnung....
	this->prof = NULL;

}

Lehrveranstaltung::~Lehrveranstaltung() {

}

string Lehrveranstaltung::getName()
{
	return this->name;
}


void Lehrveranstaltung::setName(string name)
{
	this->name = name;
}

void Lehrveranstaltung::addStudent (Student* stud)
{
	this->studenten.push_back(stud);
}
void Lehrveranstaltung::setProfessor(Professor *prof)
{
	this->prof = prof;
}
Professor* Lehrveranstaltung::getProfessor(Professor* prof)
{
	return this->prof;
}


std::ostream& operator<<(std::ostream& stream,
                     const Lehrveranstaltung& lv) {
	string studenten = "";
	for (unsigned int i = 0; i < lv.studenten.size(); i++)
	{
		Student *stud = lv.studenten[i];

		//Trennzeichen bei Studenten 1 bis n:
		if (i > 0)
		{
			studenten += ", ";
		}
		studenten += stud->getName();
	}

	stream << "LV: " << lv.name << ", Prof: " << lv.prof->getName() + ", Studenten: " + studenten;
	return stream;
 }
