/*
 * Lehrveranstaltung.h
 *
 *  Created on: 24.10.2018
 *      Author: Wolfgang Knauf
 */


#ifndef LEHRVERANSTALTUNG_H_
#define LEHRVERANSTALTUNG_H_

#include "Professor.h"
#include "Student.h"
#include <vector>
#include <string>

using namespace std;

class Lehrveranstaltung {
public:
	Lehrveranstaltung();
	virtual ~Lehrveranstaltung();
	string getName();
	void setName(string name);
	void addStudent (Student* stud);
	void setProfessor(Professor *prof);
	Professor* getProfessor(Professor* prof);
	friend std::ostream& operator<< (std::ostream& stream, const Lehrveranstaltung& matrix);
private:
	string name;
	Professor* prof;
	//"vector" erlaubt Zugriff ber Index, "list" nur per Iterator.
	std::vector<Student*> studenten;

};

#endif /* LEHRVERANSTALTUNG_H_ */
