/*
 * main.cpp
 *
 *  Created on: 24.10.2018
 *      Author: Wolfgang Knauf
 */


#include "Professor.h"
#include "Student.h"
#include "Lehrveranstaltung.h"
#include "Person.h"
#include <iostream>
#include <list>

using namespace std;

int main ()
{
	Professor* prof = new Professor();
	prof->setName("Knauf");

	Student* stud = new Student();
	stud->setName("Meier");

	Student* stud2 = new Student();
	stud2->setName("Mller");

	Lehrveranstaltung* lv = new Lehrveranstaltung();
	lv->setName("SWT");
	lv->setProfessor(prof);
	lv->addStudent(stud);
	lv->addStudent(stud2);

	//Den INHALT des Pointers "lv" ausgeben, deshalb der "*"-Operator.
	std::cout << *lv;

	//Cleanup:
	delete lv;
	delete prof;
	delete stud;

}
